> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/cards/card-products-rate-by-merchant.md).

# Card Products rate by merchant

List of products (cards) and their corresponding rates for the specified merchant.

**Endpoint:** `GET /products/search-by-merchant?merchant=<merchant>`

**Query Parameters**

| Parameter | Type   | Required | Description   | Example        |
| --------- | ------ | -------- | ------------- | -------------- |
| merchant  | string | Yes      | Merchant name | github, google |

**Response** :

```json
[
  {
    "productCode": "S00E0000000",
    "rate": 0.68
  },
  {
    "productCode": "S00SV000003",
    "rate": 0.59
  }
]
```

**Response Parameters:**

<table><thead><tr><th>Field</th><th width="187.666748046875">Type</th><th>Description</th></tr></thead><tbody><tr><td>productCode</td><td>String</td><td>Unique product (card) code</td></tr><tr><td>rate</td><td>Decimal</td><td>Rate / price for this product</td></tr></tbody></table>
